{# _datamax/api/templates/validation/list_config.html_ #}
{% extends "validation_layout.html" %}

{% block body %}
<div class="row">
    <div class="col-md-8">
        <h5 class="card-title">List of validation configurations - {{ request.args.get('name') }} [{{ request.args.get('source_type') }}]</h5>
    </div>
    <div class="col-md-4 text-right">
        <a href="{{ url_for('views_validation.add_config') }}?file_id={{ request.args.get('file_id') }}&name={{ request.args.get('name')}}&source_type={{ request.args.get('source_type') }}">
            <i class="fas fa-plus-square"></i>&ensp;New configuration
        </a>
    </div>
</div>
<br/>
<div>
<table id="Content" class="display" style="90%">
<thead>
    <tr>
        <th>Id</th>
        <th>Version</th>
        <th>Name</th>
        <th>Created Date</th>
        <th>Is Active</th>
        <th>Actions</th>
    </tr>
</thead>
</table>
</div>
<script>
    $(document).ready(function() {
        var file_id = {{ request.args.get('file_id')}};
        var source_type = "{{ request.args.get('source_type') }}";

        var table = $('#Content').DataTable({
             "stateSave": true,
             "order": [[ 0, "desc" ]],
             "ajax": {
                url: "{{ url_for('api_exchange.index') }}?name=list_config&id=" + file_id,
                dataSrc: 'Contents'
             },
             "columns": [
                { data: "id" },
                { data: "version" },
                { data: "name" },
                { data: "creation_date" },
                { data: "is_active" },
                { "data": null, "width": "10%" }
             ],
             columnDefs: [{
                // puts a button in the last column
                targets: [-1], render: function (a, b, data, d) {
                    return '&ensp;&ensp;<a href="{{ url_for('views_validation.edit_config') }}?config_id=' +
                    data.id + '&file_id={{ request.args.get('file_id') }}&name={{ request.args.get('name')}}&source_type={{ request.args.get('source_type') }}"><i class="fas fa-edit"></i></a>' +
                       '&ensp;&ensp;<a href="#">' +
                       '<i class="fas fa-play"></i></a>&ensp;&ensp;' +
                       '<a href="#"><i class="fas fa-list-alt"></i> </a>';

                }
            }]
             
        });
    });
</script>
{% endblock %}